Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000032 [libFirm] unknown minor always 2008-12-22 20:18 2011-06-17 20:29
Reporter edwin View Status public  
Assigned To
Priority low Resolution fixed  
Status closed   Product Version
Summary 0000032: Verify warning: Node PhiIu[92477:160] not registered as value for Register esp (but (null)) in block BlockBB[21111:70](sanitiseB
Description $ /tmp/cparser-0.9.7/build/cparser -c t.c
t.c:51: warning: implicit declaration of function 'cli_strrcpy'
t.c:52: warning: control reaches end of non-void function
t.c:60: warning: implicit declaration of function 'cli_dbgmsg_internal'
t.c:59: warning: ISO C forbids conditional expression with only one void side
4 warning(s)
t.c:43: warning: variable 'char* copy' might be used uninitialized
Edge Verifier: be_IncSPIu[1453:19] reachable by 1 node(s), but the list contains 2 edge(s)
Edge Verifier: be_IncSPIu[1427:63] reachable by 1 node(s), but the list contains 2 edge(s)
Verify warning: Node PhiIu[1627:138] in block BlockBB[154:70](sanitiseBase64) only reachable through out edges from be_IncSPIu[1427:63]
Verify warning: Node PhiIu[1627:138] in block BlockBB[154:70](sanitiseBase64) only reachable through out edges from be_IncSPIu[1453:19]
Verify warning: Node PhiIu[1627:138] not registered as value for Register esp (but (null)) in block BlockBB[154:70](sanitiseBase64)
Additional Information /* testcase */
typedef unsigned long size_t;
typedef unsigned char uint8_t;
extern uint8_t cli_debug_flag;
typedef enum
{
  NOENCODING, QUOTEDPRINTABLE, BASE64, EIGHTBIT, BINARY, UUENCODE, YENCODE,
    EEXTENSION, BINHEX
}
encoding_type;
typedef struct text
{
}
text;
typedef struct message
{
}
message;
static void sanitiseBase64 (char *s);
static const unsigned char base64Table[256] = {
  255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255,
    255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255,
    255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 62, 255,
    255, 255, 63, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 255, 255, 255, 0,
    255, 255, 255, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16,
    17, 18, 19, 20, 21, 22, 23, 24, 25, 255, 255, 255, 255, 255, 255, 26, 27,
    28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45,
    46, 47, 48, 49, 50, 51, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255,
    255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255,
    255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255,
    255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255,
    255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255,
    255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255,
    255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255,
    255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255,
    255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255,
    255, 255, 255
};

unsigned char *
decodeLine (message * m, encoding_type et, const char *line,
            unsigned char *buf, size_t buflen)
{
  char *p2, *copy;
  switch (et)
    {
    case BINARY:
    case NOENCODING:
    case EIGHTBIT:
    default:
      if (line)
        buf = (unsigned char *) cli_strrcpy ((char *) buf, line);
      sanitiseBase64 (copy);
    }
}

static void
sanitiseBase64 (char *s)
{
  (!__builtin_expect (!!(cli_debug_flag), 0)) ? (void) 0 :
    cli_dbgmsg_internal ("sanitiseBase64 '%s'\n", s);
  while (*s)
    if (base64Table[(unsigned int) (*s & 0xFF)] == 255)
      {
      }
}
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000047)
Matze (administrator)
2009-01-20 11:12

These warnings are (in this case) harmless but should be fixed nonetheless...
(0000111)
Matze (administrator)
2011-06-17 20:29

fixed by now.

- Issue History
Date Modified Username Field Change
2008-12-22 20:18 edwin New Issue
2009-01-19 21:26 Matze Status new => acknowledged
2009-01-20 11:12 Matze Note Added: 0000047
2009-01-20 11:12 Matze Priority normal => low
2010-08-13 13:06 UniQ Project cparser => libFirm
2010-08-13 13:06 UniQ Issue Monitored: UniQ
2011-06-17 20:29 Matze Note Added: 0000111
2011-06-17 20:29 Matze Status acknowledged => closed
2011-06-17 20:29 Matze Resolution open => fixed
2011-06-17 20:29 Matze version 0.9.7 =>


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker